#pragma once
#include "Jass.h"

string fCreateString(integer vLenStr, bool vClean);
string fCreateStringFmt(bool vClean, char *fmt, ...);
bool fCmpStr(string vStr1, string vStr2);
void fCleanString();

string fCpyStr(string vStr);

string fCharToString(int vHex);
string fAddString(bool vClean, string vFirst, ...);

integer GetUnitGoldCost(integer unitid);
integer GetUnitWoodCost(integer unitid);

template <class T>
T fGet(T *pVar);

template <class T>
bool fSet(T *pVar, T vSet);

string fAddString2(string vFirst, ...);
string fCreateString2(integer vLenStr);
void fFreeString2(string vStr);

bool fNull(unsigned int vUI);